Subject: Re: glib-1.2.8?
From: "Robert Collins" <[email-masked]>
To: "edward" <[email-masked]>, "Julia A . Case" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Thu, 7 Dec 2000 11:29:42 +1100

glib compiles ok but it is not fully functional

* gmodule fails its tests. This is important because nearly every plug-in style component based on glib needs gmodule. (Basically a
wrapper for dlopen()). I posted some questions about this on this list around 3-4 months ago... but I didn't (and still don't) have
the time to dig into dlopen and write test cases to show the fault.

* pthreads support (as per edwards and chris's emails). However my guess is that building wiuth pthreads=none should result in the
wrapper code running everything single-threaded.

I'm happy to do a bit of collaboration on this if you're interested edward.. I was working on gnome for xfree86/cygwin.

You'll also need to patch the libtool on all the gnome related packages to support dll creation. (see a long list on that on this
list back in uhmmm august I think.

Rob

----- Original Message -----
From: "edward" <[email-masked]>
To: "Julia A . Case" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Sent: Thursday, December 07, 2000 7:54 AM
Subject: RE: glib-1.2.8?

> If I recall correctly, as of 2 weeks ago, both the cvs and official
> versions of glib compiled fine.
>
> make check fails one the markup test because the test invocation is
> incorrect, but you can run that one manually.
>
> PS. you'll have problem with the official gnome packages of bonobo and
> gconf, due to file names that differ only by case. The cvs versions have
> renamed those files.
>
> PPS. oaf, orbit and gnome-print require cygwin patches... I'll post those
> once I make sure they actually work. they pass the test suite, but I want
> to hold back until I can get the entire gnome package running.
>
> PPPS. gnome requires some libraries which must be at least re-entrant.
> that means recompiling the winsup cygwin module to export the *_r
> functions.
>
> Cheers.
> edward
>
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Julia A . Case
> Sent: Wednesday, December 06, 2000 3:25 PM
> To: [email-masked]
> Subject: glib-1.2.8?
>
>
> Has anyone been able to build glib-1.2.8 under cygwin?
>
> Julie
>
> --
> [  Julia Anne Case  ] [        Ships are safe inside the harbor,       ]
> [Programmer at large] [      but is that what ships are really for.    ]
> [   Admining Linux  ] [           To thine own self be true.           ]
> [ Windows/WindowsNT ] [ Fair is where you take your cows to be judged. ]
>
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]